* {
  margin: 0;
  padding: 0;
  list-style: none;
  text-decoration: none;
}

body {
  background-color: rgba(234, 230, 230, 0.564);
}

.current {
  font-weight: 700;
  color: black;
}

.header {
  padding: 20px;
  background-color: rgb(227, 225, 225);
  font-size: 20px;
  box-shadow: 0px 3px 1px rgba(0, 0, 0, 0.1), 0px 1px 2px rgba(0, 0, 0, 0.08),
    0px 2px 2px rgba(0, 0, 0, 0.12);
}

.header-nav {
  display: flex;
  justify-content: space-evenly;
  color: rgb(60, 59, 59);
}

.header-nav__list {
  display: flex;
}

.header-nav__list a {
  margin-right: 30px;
  color: rgb(60, 59, 59);
  transition: color ease-in-out 0.25s;
}

.header-nav__item {
  cursor: pointer;
}

.header-nav__list a:hover {
  color: blue;
}

.hidden {
  visibility: hidden;
}

.main {
  text-align: center;
}

.main-title {
  padding: 50px;
  font-size: 50px;
  color: rgb(60, 59, 59);
}

.register-section,
.login-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.register-form,
.login-form {
  display: flex;
  flex-direction: column;
  font-size: 20px;
  width: 400px;
}

.form-title {
  font-size: 30px;
}

.form-label {
  margin: 10px;
  display: block;
}

.form-label.user {
  font-size: 24px;
}

.form-btn,
.btn,
.option-btn,
.form-delete-btn,
.btn-add {
  margin: 0px auto;
  cursor: pointer;
  font-size: 20px;
  padding: 10px 30px;
  line-height: 1;
}

.form-delete-btn {
  margin: 0 20px;
}

.form-btn {
  margin-top: 20px;
}

.btn {
  display: block;
  margin-right: 0;
}

.form-input {
  padding: 10px;
  font-size: 20px;
  border-radius: 5px;
  border: 1px solid rgb(60, 59, 59);
}

.form-input.user {
  padding: 10px;
}

.btn:not(:last-child) {
  margin-right: 30px;
}

.form-select {
  width: 100px;
  padding: 10px;
  font-size: 16px;
  border-radius: 5px;
}

.form-link-wrapper a {
  font-size: 20px;
  margin-top: 15px;
  text-decoration: underline;
  cursor: pointer;
  display: block;
  padding: 10px;
}

.backdrop,
.backdrop-dimensions,
.backdrop-truck {
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.2);
  top: 0;
  position: fixed;
  z-index: 999;
  justify-content: center;
  transition: opacity 250ms ease-in-out, visibility 250ms ease-in-out;
}

.is-hidden {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transform: scale(0.75);
}

.modal {
  top: 25%;
  padding: 40px;
  margin: 0 auto;
  position: relative;
  background-color: rgb(227, 225, 225);
  width: 450px;
  min-height: 150px;
  box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.12), 0px 1px 1px rgba(0, 0, 0, 0.14),
    0px 2px 1px rgba(0, 0, 0, 0.2);
  border-radius: 4px;
  transform: scale(1);
  transition: translate 250ms ease;
}

.modal-title {
  font-size: 20px;
  font-weight: bold;
  line-height: 1.15;
  text-align: center;
  color: black;
  margin-bottom: 12px;
}

.modal-field {
  margin-bottom: 10px;
}

.modal-field-truck {
  padding: 10px;
  display: flex;
  flex-direction: column;
  font-size: 18px;
}

.radio {
  margin: 10px;
}

.modal-label {
  display: block;
  width: 100%;
  margin-bottom: 4px;
  font-size: 20px;
  line-height: 1.17;
  color: black;
}

.modal-input {
  margin-bottom: 10px;
  width: 100%;
  height: 40px;
  font-size: 20px;
  padding: 5px 10px;
  padding-right: 16px;
  border: 1px solid rgb(60, 59, 59);
  box-sizing: border-box;
  border-radius: 5px;
  outline: none;
  transition: border 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.modal-input:focus {
  border: 1px solid blue;
}

.button-close,
.button-close-edit {
  position: absolute;
  top: 40px;
  right: 40px;
  width: 20px;
  height: 20px;
}

.btn-add {
  display: block;
  margin: 0 auto;
}

.profile-form {
  display: flex;
  justify-content: center;
  flex-direction: row;
  font-size: 18px;
  margin-top: 20px;
}

.pagination {
  text-align: center;
  font-size: 16px;
  padding-bottom: 40px;
}

.pagination-btn {
  cursor: pointer;
  padding: 10px 10px;
  line-height: 1;
}

.pagination-page {
  padding: 10px;
}

.loads-section,
.trucks-section {
  display: flex;
  justify-content: center;
  font-size: 20px;
  width: 100%;
}

.loads-menu,
.trucks-menu {
  width: 20%;
  height: 91vh;
  border-right: 1px solid gray;
}

.loads-menu__details,
.trucks-menu__details {
  width: 80%;
}

.loads-menu__details-list,
.trucks-menu__details-list {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  border-bottom: 1px solid gray;
  box-shadow: 0px 3px 1px rgba(0, 0, 0, 0.1), 0px 1px 2px rgba(0, 0, 0, 0.08),
    0px 2px 2px rgba(0, 0, 0, 0.12);
}

.loads-menu__item,
.trucks-menu__item {
  padding: 10px 30px;
  cursor: pointer;
}

.loads-menu__details-item,
.trucks-menu__details-item {
  padding: 10px;
  width: 25%;
  display: flex;
  align-items: center;
}

.current-point {
  background-color: blue;
  color: white;
}

.tools {
  display: flex;
}

.tools li {
  margin: 10px;
}

.icon {
  padding: 10px;
}

.icon:hover {
  fill: blue;
  cursor: pointer;
}

.profile-section {
  display: flex;
}

.user-info {
  margin: 0 auto;
  padding: 30px;
  font-size: 20px;
  line-height: 1.5;
}

.message {
  padding: 20px;
}

.green {
  color: green;
  font-weight: bold;
}

.null {
  color: red;
}
